: Class SectionPanel

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.form
Class SectionPanel

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.form.SectionPanel

public class SectionPanel
extends java.lang.Object

Responsible for displaying the graphical representation of an ACD section. This also handles events related to dependent parameters.

Field Summary
`static int` | `ajaxLength`
`static boolean` | `ajaxProtein`
`static float` | `ajaxWeight`
`static java.awt.Color` | `labelColor`
`static java.awt.Font` | `labfont`
`static java.awt.Font` | `labfont2`

Constructor Summary
`SectionPanel(javax.swing.JFrame f, javax.swing.JPanel p3, javax.swing.Box fieldPane, ParseAcd parseAcd, int nff, TextFieldSink[] textf, TextFieldInt[] textInt, TextFieldFloat[] textFloat, javax.swing.JTextField[] rangeField, javax.swing.JCheckBox[] checkBox, InputSequenceAttributes[] inSeqAttr, myComboPopup[] fieldOption, javax.swing.JList[] multiOption, SetInFileCard[] inSeq, java.lang.String[] db, java.lang.String des, javax.swing.Box[] lab, int numofFields, uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings, boolean withSoap)`

Method Summary
`int` | `getFieldNum()`
`javax.swing.Box` | `getSectionBox()`
`javax.swing.JPanel` | `getSectionPanel()`
`boolean` | `isAdvancedSection()`
`boolean` | `isInputSection()`
`boolean` | `isOutputSection()`
`boolean` | `isRequiredSection()`
`javax.swing.Box` | `setLabelText(java.lang.String sl, java.lang.String tt)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ajaxLength

    public static int ajaxLength

### ajaxWeight

    public static float ajaxWeight

### ajaxProtein

    public static boolean ajaxProtein

### labelColor

    public static java.awt.Color labelColor

### labfont

    public static java.awt.Font labfont

### labfont2

    public static java.awt.Font labfont2

Constructor Detail

### SectionPanel

    public SectionPanel(javax.swing.JFrame f,
                        javax.swing.JPanel p3,
                        javax.swing.Box fieldPane,
                        ParseAcd parseAcd,
                        int nff,
                        TextFieldSink[] textf,
                        TextFieldInt[] textInt,
                        TextFieldFloat[] textFloat,
                        javax.swing.JTextField[] rangeField,
                        javax.swing.JCheckBox[] checkBox,
                        InputSequenceAttributes[] inSeqAttr,
                        myComboPopup[] fieldOption,
                        javax.swing.JList[] multiOption,
                        SetInFileCard[] inSeq,
                        java.lang.String[] db,
                        java.lang.String des,
                        javax.swing.Box[] lab,
                        int numofFields,
                        uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings,
                        boolean withSoap)

  Parameters:
    `JFrame` - Jemboss frame
    `JPanel` - ACD form panel
    `Box` - containing all the fields
    `ParseAcd` - representing the ACD file to display as a form
    `int` - field number
    `TextFieldSink` - for the text fields in the form
    `TextFieldInt` - for the integer fields in the form
    `JCheckBox` - for the boolean switches
    `InputSequenceAttributes` - for the input sequence(s)
    `myComboPopup` - for the list/selection data types
    `JList` - for multiple selection lists
    `String` - array containing the databases
    `String` - containing the one line description for the application
    `Box` - for all the component labels
    `int` - total number of fields
    `EmbreoParams` - mysettings

Method Detail

### getSectionPanel

    public javax.swing.JPanel getSectionPanel()

### getSectionBox

    public javax.swing.Box getSectionBox()

### isInputSection

    public boolean isInputSection()

### isOutputSection

    public boolean isOutputSection()

### isRequiredSection

    public boolean isRequiredSection()

### isAdvancedSection

    public boolean isAdvancedSection()

### setLabelText

    public javax.swing.Box setLabelText(java.lang.String sl,
                                        java.lang.String tt)

  Parameters:
    `String` - info text for the Component label
    `String` - help text for the tool tip
  Returns:
    Box containing the label wrapped information label

### getFieldNum

    public int getFieldNum()

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD